%define version 1.2.6

%define module_path %{_libdir}/apache-extramodules
%define module_name mod_mono

Summary:	Mono module for Apache 2
Name:		apache-mod_mono
Version:	%version
Release:	%mkrel 2
License:	Apache License
Group:		System/Servers
URL:		http://www.mono-project.com/
Source0:	http://www.go-mono.com/sources/mod_mono/%{module_name}-%{version}.tar.bz2
Patch0:		mod_mono-1.0.4-avoid-version.diff
Patch1:		mod_mono-1.1.17-apache223.patch
Patch2:		mod_mono-1.2.1-mdv.patch
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(pre):	apache-conf >= 2.2.0
Requires(pre):	apache >= 2.2.0
Requires:	apache-conf >= 2.2.0
Requires:	apache >= 2.2.0
BuildRequires:	apache-devel >= 2.2.0
BuildRequires:	automake1.7
BuildRequires:	autoconf2.5
BuildRequires:  file
Requires:	xsp >= 1.2.5
BuildRequires:	file
Epoch:		1
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
This is an experimental module that allows you to run ASP.NET
pages on Unix with Apache and Mono.
Please read the included INSTALL file for how to get the mod-mono
server running.

%prep

%setup -q -n %{module_name}-%{version}
%patch0 -p0
%patch1 -p1 -b .apache223
%patch2 -p1 -b .mdv

%build
export WANT_AUTOCONF_2_5=1
rm -f configure
libtoolize --copy --force; aclocal-1.7; automake-1.7 --add-missing --copy; autoconf --force


# Build Apache Module
export CPPFLAGS="`apr-1-config --cppflags`"
%configure2_5x \
    --with-apxs=%{_sbindir}/apxs \
    --with-apr-config=%{_bindir}/apr-1-config
make

%install
rm -fr %{buildroot}

install -d 755 %{buildroot}%{_sysconfdir}/httpd/modules.d
install -d 755 %{buildroot}%{module_path}
install -d 755 %{buildroot}%{_var}/www/mono
install -d 755 %{buildroot}%{_var}/www/.wapi
install -d 755 %{buildroot}%{_localstatedir}/%{name}

# Mono Configuration for Apache
install -m 644 mod_mono.conf %{buildroot}%{_sysconfdir}/httpd/modules.d/91_mod_mono.conf
# add examples
echo "    Alias /mono \"%{_prefix}/lib/xsp/test\"" >> %{buildroot}%{_sysconfdir}/httpd/modules.d/91_mod_mono.conf


install src/.libs/mod_mono.so %{buildroot}%{module_path}/mod_mono.so
install -D man/mod_mono.8 %{buildroot}%{_mandir}/man8/mod_mono.8

# strip away annoying ^M
find %{buildroot} -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find %{buildroot} -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

%post
if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi
    
%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart 1>&2
    fi
fi
		    
%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
		    
%files
%defattr(-,root,root)
%doc ChangeLog COPYING INSTALL NEWS README
%attr(0644,root,root) %config(noreplace)  %{_sysconfdir}/httpd/modules.d/91_mod_mono.conf
%attr(0755,root,root) %{module_path}/mod_mono.so
%attr(0644,root,root) %{_mandir}/man8/mod_mono.8*
%defattr(-,apache,apache)
%dir %{_var}/www/mono
%dir %{_var}/www/.wapi
%dir %attr(0755,apache,apache) %{_localstatedir}/%{name}


%changelog
* Fri Mar 07 2008 Oden Eriksson <oeriksson@mandriva.com> 1:1.2.6-2mdv2008.1
+ Revision: 181806
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Dec 13 2007 Götz Waschk <waschk@mandriva.org> 1:1.2.6-1mdv2008.1
+ Revision: 119271
- new version

* Sat Sep 08 2007 Oden Eriksson <oeriksson@mandriva.com> 1:1.2.5-3mdv2008.0
+ Revision: 82632
- rebuild

* Wed Sep 05 2007 Götz Waschk <waschk@mandriva.org> 1:1.2.5-2mdv2008.0
+ Revision: 80090
- remove xsp from the package
- update path to tests in the configuration file

* Thu Aug 30 2007 Götz Waschk <waschk@mandriva.org> 1:1.2.5-1mdv2008.0
+ Revision: 75587
- new version

* Fri Aug 17 2007 Oden Eriksson <oeriksson@mandriva.com> 1:1.2.4-3mdv2008.0
+ Revision: 64723
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

* Wed May 16 2007 Götz Waschk <waschk@mandriva.org> 1:1.2.4-1mdv2008.0
+ Revision: 27355
- new version


* Sat Mar 10 2007 Oden Eriksson <oeriksson@mandriva.com> 1.2.1-5mdv2007.1
+ Revision: 140720
- rebuild

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 1:1.2.1-4mdv2007.1
+ Revision: 125761
- fix oden's typo
- fix default configuration to include DirectoryIndex

  + Oden Eriksson <oeriksson@mandriva.com>
    - fix safer socket dir

* Wed Feb 07 2007 Götz Waschk <waschk@mandriva.org> 1:1.2.1-2mdv2007.1
+ Revision: 116981
- new xsp 1.2.3

* Wed Nov 22 2006 Götz Waschk <waschk@mandriva.org> 1:1.2.1-1mdv2007.1
+ Revision: 86333
- new version

* Fri Nov 17 2006 Götz Waschk <waschk@mandriva.org> 1:1.2-2mdv2007.1
+ Revision: 85192
- bot rebuild
- new version

* Tue Oct 17 2006 Götz Waschk <waschk@mandriva.org> 1:1.1.18-1mdv2007.1
+ Revision: 65578
- new version
- Import apache-mod_mono

* Sat Sep 30 2006 Gtz Waschk <waschk@mandriva.org> 1.1.17-4mdv2007.0
- xsp 1.1.17.1

* Tue Sep 12 2006 Gtz Waschk <waschk@mandriva.org> 1.1.17-3mdv2007.0
- rediff patch 1
- new version

* Thu Aug 31 2006 Gtz Waschk <waschk@mandriva.org> 1.1.16.1-3mdv2007.0
- update file list
- update xsp to 1.1.17

* Sat Aug 05 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.1.16.1-2mdv2007.0
- make it actually work with apache-2.2.3 (P1)

* Fri Aug 04 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.1.16.1-1mdk
- 1.1.16.1

* Wed Jan 11 2006 Oden Eriksson <oeriksson@mandrakesoft.com> 1:1.13-1mdk
- 1.13
- fix versioning
- added P1,P2 to teach it apache 2.2

* Wed Jan 11 2006 Gtz Waschk <waschk@mandriva.org> 2.0.55_1.1.13-1mdk
- fix configure for new apr
- new version

* Mon Dec 12 2005 Gtz Waschk <waschk@mandriva.org> 2.0.55_1.1.10.1-1mdk
- new version

* Mon Dec 05 2005 Gtz Waschk <waschk@mandriva.org> 2.0.55_1.1.10-3mdk
- fix xsp location

* Mon Dec 05 2005 Gtz Waschk <waschk@mandriva.org> 2.0.55_1.1.10-2mdk
- update mod_mono tarball

* Wed Nov 09 2005 Gtz Waschk <waschk@mandriva.org> 2.0.55_1.1.10-1mdk
- update file list
- new version

* Thu Oct 13 2005 Gtz Waschk <waschk@mandriva.org> 2.0.54_1.1.9.2-1mdk
- new version

* Sat Sep 24 2005 Gtz Waschk <waschk@mandriva.org> 2.0.54_1.1.9.1-1mdk
- New release 1.1.9.1

* Wed Sep 14 2005 Gtz Waschk <waschk@mandriva.org> 2.0.54_1.1.9-2mdk
- rebuild

* Sun Sep 11 2005 Gtz Waschk <waschk@mandriva.org> 2.0.54_1.1.9-1mdk
- add new files
- drop patch 1
- New release 1.1.9

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_1.0.9-2mdk
- fix deps

* Fri Jun 03 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_1.0.9-1mdk
- rename the package
- the conf.d directory is renamed to modules.d
- use new rpm-4.4.x pre,post magic

* Tue May 10 2005 Gtz Waschk <waschk@mandriva.org> 2.0.53_1.0.9-1mdk
- New release 1.0.9

* Sat Apr 23 2005 Gtz Waschk <waschk@mandriva.org> 2.0.53_1.0.8-1mdk
- new version

* Sun Mar 20 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_1.0.6-3mdk
- use the %%mkrel macro

* Mon Feb 28 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_1.0.6-2mdk
- fix %%post and %%postun to prevent double restarts
- fix bug #6574

* Sun Feb 20 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.0.53_1.0.6-1mdk
- fix build
- New release 1.0.6

* Wed Feb 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_1.0.5-3mdk
- spec file cleanups, remove the ADVX-build stuff

* Mon Feb 14 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_1.0.5-2mdk
- new url
- strip away annoying ^M

* Tue Feb 08 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_1.0.5-1mdk
- rebuilt for apache 2.0.53
- fix versioning
- misc spec file fixes

* Thu Dec 09 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0.5-1mdk
- fix installation
- New release 1.0.5

* Tue Nov 23 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.4-3mdk
- make it compile on 10.0 too
- added P0

* Tue Nov 09 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.4-2mdk
- rebuilt for apache 2.0.52

* Fri Nov 05 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.0.4-1mdk
- New release 1.0.4

* Thu Sep 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0.2-1mdk
- fix build and installation
- fix source URLs
- New release 1.0.2

* Thu Aug 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0.1-1mdk
- new mod_version

* Tue Jul 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-1mdk
- fix configure calls
- New release 1.0

